<?php

global $user, $lang, $conf, $errors;

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

if (!defined('LCAS_PATH')) define('LCAS_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
include_once (PHPWG_ROOT_PATH.'/include/constants.php');
$my_base_url = get_admin_plugin_menu_link(__FILE__);

load_language('plugin.lang', LCAS_PATH);
load_language('help/plugin.lang', LCAS_PATH);

$page['global'] = array();
$error = array();
$pattern = '/;/';
$replacement = '.';

$LCAS_Password_Test_Score = 0;
$LCAS_Exclusionlist_Error = false;

// +-----------------------------------------------------------------------+
// |                            Tabssheet                                  |
// +-----------------------------------------------------------------------+
if (!isset($_GET['tab']))
	$page['tab'] = 'global';
else
  $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('global',
               l10n('LCAS_Tab_Global'),
               $my_base_url.'&amp;tab=global');
  $tabsheet->add('userlist',
                 l10n('LCAS_Tab_UserList'),
                 $my_base_url.'&amp;tab=userlist');
$tabsheet->select($page['tab']);
$tabsheet->assign();


// +-----------------------------------------------------------------------+
// |                      Getting plugin version                           |
// +-----------------------------------------------------------------------+
$plugin =  LCAS_PluginInfos(LCAS_PATH);
$version = $plugin['version'];


// +----------------------------------------------------------+
// |            FCK Editor for email text fields              |
// +----------------------------------------------------------+

/* Available only for ConfirmMail return page customization */
$toolbar = 'Basic';
$width = '750px';
$height = '300px';
$areas = array();
array_push( $areas,'LCAS_accentSensitive_Custom_Txt1','LCAS_accentSensitive_Custom_Txt2');

if (function_exists('set_fckeditor_instance'))
{
  $fcke_config = unserialize($conf['FCKEditor']);
  foreach($areas as $area)
  {
    if (!isset($fcke_config[$area]))
    {
      $fcke_config[$area] = false;
    }
  }
  $conf['FCKEditor'] = serialize($fcke_config);

  set_fckeditor_instance($areas, $toolbar, $width, $height);
}


// +-----------------------------------------------------------------------+
// |                            Tabssheet select                           |
// +-----------------------------------------------------------------------+

switch ($page['tab'])
{
// *************************************************************************
// +-----------------------------------------------------------------------+
// |                           Global Config                               |
// +-----------------------------------------------------------------------+
// *************************************************************************
  case 'global':

	if (isset($_POST['submit']) and !is_adviser() and isset($_POST['LCAS_Case_Sensitive']) and isset($_POST['LCAS_Accent_Sensitive']) )
  {

/* General configuration settings */

/* Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them */
		$newconf_LCAS= array(
      $_POST['LCAS_Case_Sensitive'],
      $_POST['LCAS_Accent_Sensitive']);

    $conf['LoginCaseAccentsSensitivity'] = serialize($newconf_LCAS);

		$query = '
	  	UPDATE '.CONFIG_TABLE.'
	  	SET value="'.addslashes($conf['LoginCaseAccentsSensitivity']).'"
	  	WHERE param="LoginCaseAccentsSensitivity"
	  	LIMIT 1
	  	;';
		
		pwg_query($query);

		array_push($page['infos'], l10n('LCAS_save_config'));
  }


  $conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);


/* Save last opened paragraph in configuration tab */
  $nb_para=(isset($_POST["nb_para"])) ? $_POST["nb_para"]:"";
  $nb_para2=(isset($_POST["nb_para2"])) ? $_POST["nb_para2"]:"";

  $template->assign(
    array(
    'nb_para'                        => $nb_para,
    'nb_para2'                       => $nb_para2,
    'LCAS_VERSION'                    => $version,
    'LCAS_PATH'                       => LCAS_PATH,
		'LCAS_Case_Sensitive_TRUE'             => $conf_LCAS[0]=='true' ?  'checked="checked"' : '' ,
		'LCAS_Case_Sensitive_FALSE'            => $conf_LCAS[0]=='false' ?  'checked="checked"' : '' ,
		'LCAS_Accent_Sensitive_TRUE'          => $conf_LCAS[1]=='true' ?  'checked="checked"' : '' ,
		'LCAS_Accent_Sensitive_FALSE'         => $conf_LCAS[1]=='false' ?  'checked="checked"' : '' ,
    )
  );


// +-----------------------------------------------------------------------+
// |                             errors display                            |
// +-----------------------------------------------------------------------+
  if (isset ($errors) and count($errors) != 0)
  {
	  $template->assign('errors',array());
	  foreach ($errors as $error)
	  {
		  array_push($page['errors'], $error);
		}
	}  

// +-----------------------------------------------------------------------+
// |                           templates display                           |
// +-----------------------------------------------------------------------+
  $template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/global.tpl');
  $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

  break;


// *************************************************************************
// +-----------------------------------------------------------------------+
// |                           Users list page                             |
// +-----------------------------------------------------------------------+
// *************************************************************************
  case 'userlist':
  
  $conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);
  
  if ((isset($conf_LCAS[0]) and $conf_LCAS[0]=='true') || (isset($conf_LCAS[1]) and $conf_LCAS[1]=='true'))
  {
// +-----------------------------------------------------------------------+
// |                           initialization                              |
// +-----------------------------------------------------------------------+

		if (!defined('PHPWG_ROOT_PATH'))
    {
    	die('Hacking attempt!');
    }
          
    include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
		check_status(ACCESS_ADMINISTRATOR);


// +-----------------------------------------------------------------------+
// |                               user list                               |
// +-----------------------------------------------------------------------+

		if ($conf_LCAS[0]=='true' && $conf_LCAS[1]=='true')
			$lcas_rule = 2;
		else if ($conf_LCAS[0]=='true')
			$lcas_rule = 1;
		else if ($conf_LCAS[1]=='true')
			$lcas_rule = 3;
		else
			$lcas_rule = 0;
		
		$page['all_users'] = LCAS_get_user_list($lcas_rule);

// +-----------------------------------------------------------------------+
// |                               user list                               |
// +-----------------------------------------------------------------------+

		$lcas_previous_compare_user = '';
    $visible_user_list          = array();
    foreach ($page['all_users'] as $local_user)
    {
      if ($lcas_previous_compare_user != $local_user['transformed']) {
      	$display = 'orange';
      	$lcas_previous_compare_user = $local_user['transformed'];
      }
      else {
      	$display = '';
      }

   		$template->append(
     		'users',
       	array(
       		'ID'          => $local_user['id'],
         	'USERNAME'    => stripslashes($local_user['username']),
         	'COMPARE'     => stripslashes($local_user['transformed']),
					'EMAIL'       => get_email_address_as_display_text($local_user['email']),
          'DISPLAY'     => $display,
				)
			);
		}
    /* Plugin version inserted */
    $template->assign(
      array(
        'LCAS_VERSION'  => $version,
        'LCAS_PATH'     => LCAS_PATH,
      )
    );    
// +-----------------------------------------------------------------------+
// |                             errors display                            |
// +-----------------------------------------------------------------------+
		if ( isset ($errors) and count($errors) != 0)
		{
	  	$template->assign('errors',array());
			foreach ($errors as $error)
	  	{
				array_push($page['errors'], $error);
	  	}
 		}  

// +-----------------------------------------------------------------------+
// |                           templates display                           |
// +-----------------------------------------------------------------------+
		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/userlist.tpl');
    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
  }
  else
  {
		array_push($page['errors'], l10n('LCAS_Err_Userlist_Settings'));
  }
  break;

}
?>